<template>
    <router-view/>
</template>

<style>
    @font-face {
        font-family: 'Milkshake';
        src: url('~@/assets/fonts/Milkshake.otf');
    }

    .has-rounded-corners {
        border-radius: 20px;
    }

    .is-vpaddingless {
        padding-top: 0 !important;
        padding-bottom: 0 !important;
    }

    .is-hpaddingless {
        padding-left: 0 !important;
        padding-right: 0 !important;
    }

    .has-small-padding {
        padding: 1vh !important;
    }

    .has-small-hpadding {
        padding-left: 1vh !important;
        padding-right: 1vh !important;
    }

    .has-padding {
        padding: 2vh !important;
    }

    .has-vpadding {
        padding-top: 2vh !important;
        padding-bottom: 2vh !important;
    }

    .has-xsmall-vpadding {
        padding-top: 0.5rem !important;
        padding-bottom: 0.5rem !important;
    }

    .has-small-margin {
        margin: 0.5rem !important;
    }

    .has-text-dark-red {
        color: #a44;
    }

    .has-background-dark-red {
        background-color: #a44;
    }

    .is-paddingful {
        padding: 2vw;
    }

    .is-relative {
       position: relative;
    }

    .is-absolute {
       position: relative;
    }

    .columns {
        margin: 0 !important;
    }

    .has-borders {
        border-style: solid;
        border-color: whitesmoke !important;
        border-width: 3px !important;
    }

    .has-borders.is-dashed {
        border-style: dashed;
    }

    svg {
        display: block;
        margin: auto;
    }

    .is-hpaddingless {
        padding-left: 0 !important;
        padding-right: 0 !important;
    }

    .is-vpaddingless {
        padding-top: 0 !important;
        padding-bottom: 0 !important;
    }

    a.navbar-item:hover {
        background-color: whitesmoke !important;
    }

    .has-background-light a.navbar-item:hover {
        background-color: white !important;
    }

    .has-background-light a.navbar-item.is-active {
        background-color: white !important;
        color: #3273dc;
    }

    .navbar-divider {
        height: 4px !important;
    }

    .has-background-light .navbar-divider {
        background-color: lightgray;
    }

    .has-background-transition {
        -webkit-transition: background-color 200ms linear;
        -ms-transition: background-color 200ms linear;
        transition: background-color 200ms linear;
    }

    .button:hover {
        -webkit-transition: background-color 200ms linear;
        -ms-transition: background-color 200ms linear;
        transition: background-color 200ms linear;
    }

    .navbar-item:hover {
        -webkit-transition: background-color 200ms linear;
        -ms-transition: background-color 200ms linear;
        transition: background-color 200ms linear;
    }
</style>